Name: sac
Version: 1.3
Release: %mkrel 30
Summary: Java standard interface for CSS parser
License: W3C
Group:   Development/Java
#Original source: https://www.w3.org/2002/06/%{name}java-%{version}.zip
#unzip, find . -name "*.jar" -exec rm {} \;
#to simplify the licensing
Source0: %{name}java-%{version}-jarsdeleted.zip
Source1: %{name}-build.xml
Source2: %{name}-MANIFEST.MF
Source3: https://repo1.maven.org/maven2/org/w3c/css/sac/1.3/sac-1.3.pom
URL: https://www.w3.org/Style/CSS/SAC/

BuildRequires: ant
BuildRequires: javapackages-local

BuildArch: noarch

%description
SAC is a standard interface for CSS parsers, intended to work with CSS1, CSS2,
CSS3 and other CSS derived languages.

%package javadoc
Group: Development/Java
Summary: Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
%setup -q
install -m 644 %{SOURCE1} build.xml
find . -name "*.jar" -exec rm -f {} \;

%build
ant jar javadoc

# inject OSGi manifest
jar ufm build/lib/sac.jar %{SOURCE2}

%install
%mvn_artifact %{SOURCE3} build/lib/sac.jar
%mvn_file ":sac" sac
%mvn_install -J build/api

%files -f .mfiles
%license COPYRIGHT.html

%files javadoc -f .mfiles-javadoc
%license COPYRIGHT.html




%changelog
* Sat Mar 26 2022 umeabot <umeabot> 1.3-30.mga9
+ Revision: 1828759
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.3-29.mga8
+ Revision: 1508063
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 1.3-28.mga7
+ Revision: 1291465
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 daviddavid <daviddavid> 1.3-27.mga7
+ Revision: 1162590
- Spec file modernisation to fix FTBFS (sync with fc27)
- Elimitate race condition when injecting JAR manifest
- Resolves: rhbz#1495242

* Wed Mar 02 2016 neoclust <neoclust> 1.3-24.mga6
+ Revision: 982139
- Second rebuild of the java stack

* Wed Feb 24 2016 neoclust <neoclust> 1.3-23.mga6
+ Revision: 978150
- First rebuild of the java stack
- sync package sac with fedora

* Mon Feb 08 2016 umeabot <umeabot> 1.3-21.mga6
+ Revision: 950461
- Mageia 6 Mass Rebuild

* Fri Oct 31 2014 pterjan <pterjan> 1.3-20.mga5
+ Revision: 794923
- Drop no longer needed BuildRequires on java-rpmbuild

* Wed Oct 15 2014 umeabot <umeabot> 1.3-19.mga5
+ Revision: 740564
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3-18.mga5
+ Revision: 689019
- Mageia 5 Mass Rebuild

* Tue Dec 31 2013 dmorgan <dmorgan> 1.3-17.mga4
+ Revision: 563457
- Remove old rpm macros

* Tue Dec 10 2013 joequant <joequant> 1.3-16.mga4
+ Revision: 556143
- maven depmaps
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.3-14.mga3
+ Revision: 381650
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 14 2012 ennael <ennael> 1.3-13.mga3
+ Revision: 305466
- Documentation group

* Fri Jun 29 2012 dmorgan <dmorgan> 1.3-12.mga3
+ Revision: 265182
- Rebuild against new java

* Wed Jan 26 2011 dmorgan <dmorgan> 1.3-9.mga1
+ Revision: 40189
- Add zip as buildrequire
- Adapt for mageia
- imported package sac

